function $AdfBaseEvent$$() {
}
$goog$exportSymbol$$("AdfBaseEvent", $AdfBaseEvent$$);
$AdfObject$$.$createSubclass$($AdfBaseEvent$$);
$AdfBaseEvent$$.CAPTURING_PHASE = 0;
$goog$exportSymbol$$("AdfBaseEvent.CAPTURING_PHASE", $AdfBaseEvent$$.CAPTURING_PHASE);
$AdfBaseEvent$$.$AT_TARGET_PHASE$ = 1;
$goog$exportSymbol$$("AdfBaseEvent.AT_TARGET_PHASE", $AdfBaseEvent$$.$AT_TARGET_PHASE$);
$AdfBaseEvent$$.BUBBLING_PHASE = 2;
$goog$exportSymbol$$("AdfBaseEvent.BUBBLING_PHASE", $AdfBaseEvent$$.BUBBLING_PHASE);
$AdfBaseEvent$$.prototype.Init = function $$AdfBaseEvent$$$$Init$() {
  this.$_noResponse$ = $AdfPage$$.$PAGE$.$isAttachmentMode$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.Init", {Init:$AdfBaseEvent$$.prototype.Init});
$AdfBaseEvent$$.prototype.getType = function $$AdfBaseEvent$$$$getType$() {
  return this.$_type$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getType", {getType:$AdfBaseEvent$$.prototype.getType});
$AdfBaseEvent$$.prototype.getSource = function $$AdfBaseEvent$$$$getSource$() {
  return this.$_source$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getSource", {getSource:$AdfBaseEvent$$.prototype.getSource});
$AdfBaseEvent$$.prototype.setSource = function $$AdfBaseEvent$$$$setSource$($source$$24$$) {
  this.$_source$ = $source$$24$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.setSource", {setSource:$AdfBaseEvent$$.prototype.setSource});
$AdfBaseEvent$$.prototype.$getCurrentTarget$ = function $$AdfBaseEvent$$$$$getCurrentTarget$$() {
  return this.getSource();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getCurrentTarget", {$getCurrentTarget$:$AdfBaseEvent$$.prototype.$getCurrentTarget$});
$AdfBaseEvent$$.prototype.$getEventPhase$ = function $$AdfBaseEvent$$$$$getEventPhase$$() {
  return $AdfBaseEvent$$.AT_TARGET;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getEventPhase", {$getEventPhase$:$AdfBaseEvent$$.prototype.$getEventPhase$});
$AdfBaseEvent$$.prototype.$getDoesBubbles$ = function $$AdfBaseEvent$$$$$getDoesBubbles$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getDoesBubbles", {$getDoesBubbles$:$AdfBaseEvent$$.prototype.$getDoesBubbles$});
$AdfBaseEvent$$.prototype.$stopBubbling$ = function $$AdfBaseEvent$$$$$stopBubbling$$() {
  this.$_bubbleStopped$ = !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.stopBubbling", {$stopBubbling$:$AdfBaseEvent$$.prototype.$stopBubbling$});
$AdfBaseEvent$$.prototype.$isBubblingStopped$ = function $$AdfBaseEvent$$$$$isBubblingStopped$$() {
  return 1 == this.$_bubbleStopped$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isBubblingStopped", {$isBubblingStopped$:$AdfBaseEvent$$.prototype.$isBubblingStopped$});
$AdfBaseEvent$$.prototype.$propagatesToServer$ = function $$AdfBaseEvent$$$$$propagatesToServer$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfBaseEvent$$.prototype.$propagatesToServer$});
$AdfBaseEvent$$.prototype.$isValidationNeeded$ = function $$AdfBaseEvent$$$$$isValidationNeeded$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isValidationNeeded", {$isValidationNeeded$:$AdfBaseEvent$$.prototype.$isValidationNeeded$});
$AdfBaseEvent$$.prototype.$isImmediate$ = function $$AdfBaseEvent$$$$$isImmediate$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isImmediate", {$isImmediate$:$AdfBaseEvent$$.prototype.$isImmediate$});
$AdfBaseEvent$$.prototype.$getRoot$ = function $$AdfBaseEvent$$$$$getRoot$$() {
  return this.$_root$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getRoot", {$getRoot$:$AdfBaseEvent$$.prototype.$getRoot$});
$AdfBaseEvent$$.prototype.$setRoot$ = function $$AdfBaseEvent$$$$$setRoot$$($root$$2$$) {
  this.$_root$ = $root$$2$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.setRoot", {$setRoot$:$AdfBaseEvent$$.prototype.$setRoot$});
$AdfBaseEvent$$.prototype.$isCancelable$ = function $$AdfBaseEvent$$$$$isCancelable$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isCancelable", {$isCancelable$:$AdfBaseEvent$$.prototype.$isCancelable$});
$AdfBaseEvent$$.prototype.$isCanceled$ = function $$AdfBaseEvent$$$$$isCanceled$$() {
  return 1 == this.$_canceled$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isCanceled", {$isCanceled$:$AdfBaseEvent$$.prototype.$isCanceled$});
$AdfBaseEvent$$.prototype.$isPartial$ = function $$AdfBaseEvent$$$$$isPartial$$() {
  return 1 == this.$_partial$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isPartial", {$isPartial$:$AdfBaseEvent$$.prototype.$isPartial$});
$AdfBaseEvent$$.prototype.$setPartial$ = function $$AdfBaseEvent$$$$$setPartial$$($partial$$2$$) {
  this.$_partial$ = $partial$$2$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.setPartial", {$setPartial$:$AdfBaseEvent$$.prototype.$setPartial$});
$AdfBaseEvent$$.prototype.$isFullSubmitForced$ = function $$AdfBaseEvent$$$$$isFullSubmitForced$$() {
  return 1 == this.$_fullSubmitForced$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isFullSubmitForced", {$isFullSubmitForced$:$AdfBaseEvent$$.prototype.$isFullSubmitForced$});
$AdfBaseEvent$$.prototype.$forceFullSubmit$ = function $$AdfBaseEvent$$$$$forceFullSubmit$$() {
  this.$_fullSubmitForced$ = !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.forceFullSubmit", {$forceFullSubmit$:$AdfBaseEvent$$.prototype.$forceFullSubmit$});
$AdfBaseEvent$$.prototype.$isResponseExpected$ = function $$AdfBaseEvent$$$$$isResponseExpected$$() {
  return 1 != this.$_noResponse$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isResponseExpected", {$isResponseExpected$:$AdfBaseEvent$$.prototype.$isResponseExpected$});
$AdfBaseEvent$$.prototype.$noResponseExpected$ = function $$AdfBaseEvent$$$$$noResponseExpected$$() {
  this.$_noResponse$ = !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.noResponseExpected", {$noResponseExpected$:$AdfBaseEvent$$.prototype.$noResponseExpected$});
$AdfBaseEvent$$.prototype.$isResponseAnnounced$ = function $$AdfBaseEvent$$$$$isResponseAnnounced$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isResponseAnnounced", {$isResponseAnnounced$:$AdfBaseEvent$$.prototype.$isResponseAnnounced$});
$AdfBaseEvent$$.prototype.cancel = function $$AdfBaseEvent$$$$cancel$() {
  this.$isCancelable$() && (this.$_canceled$ = !0);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.cancel", {cancel:$AdfBaseEvent$$.prototype.cancel});
$AdfBaseEvent$$.prototype.$getProperties$ = function $$AdfBaseEvent$$$$$getProperties$$() {
  var $eventProps$$ = {};
  this.$AddMarshalledProperties$($eventProps$$);
  this.$getClearMessages$() || ($eventProps$$.$suppressMessageClear$ = "true");
  this.$getShowMessages$() || ($eventProps$$.$suppressMessageShow$ = "true");
  $eventProps$$.type = this.$_type$;
  return $eventProps$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getProperties", {$getProperties$:$AdfBaseEvent$$.prototype.$getProperties$});
$AdfBaseEvent$$.prototype.$getShowMessages$ = function $$AdfBaseEvent$$$$$getShowMessages$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getShowMessages", {$getShowMessages$:$AdfBaseEvent$$.prototype.$getShowMessages$});
$AdfBaseEvent$$.prototype.$getClearMessages$ = function $$AdfBaseEvent$$$$$getClearMessages$$() {
  return this.$propagatesToServer$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getClearMessages", {$getClearMessages$:$AdfBaseEvent$$.prototype.$getClearMessages$});
$AdfBaseEvent$$.prototype.$AddMarshalledProperties$ = function $$AdfBaseEvent$$$$$AddMarshalledProperties$$() {
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.AddMarshalledProperties", {$AddMarshalledProperties$:$AdfBaseEvent$$.prototype.$AddMarshalledProperties$});
$AdfBaseEvent$$.prototype.$toDebugString$ = function $$AdfBaseEvent$$$$$toDebugString$$() {
  var $debugString$$2$$ = this.getTypeName() + " [type\x3d" + this.getType() + ", source\x3d" + this.getSource();
  this.$isCanceled$() && ($debugString$$2$$ += ", canceled");
  return $debugString$$2$$ + "]";
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.toDebugString", {$toDebugString$:$AdfBaseEvent$$.prototype.$toDebugString$});
$AdfBaseEvent$$.prototype.Init = function $$AdfBaseEvent$$$$Init$($source$$25$$, $type$$95$$) {
  $AdfAssert$$.$assertString$($type$$95$$);
  $AdfBaseEvent$$.$superclass$.Init.call(this);
  $AdfAssert$$.$assertObject$($source$$25$$, "source must be specified");
  this.$_source$ = $source$$25$$;
  this.$_type$ = $type$$95$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.Init", {Init:$AdfBaseEvent$$.prototype.Init});
$AdfBaseEvent$$.prototype.$preventUserInput$ = function $$AdfBaseEvent$$$$$preventUserInput$$() {
  this.$propagatesToServer$() ? this.$_userInputPrevented$ = !0 : $AdfLogger$$.$LOGGER$.$logMessage$($AdfLogger$$.WARNING, "Ignoring UI blocking request because the event does not propagate to the server.");
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.preventUserInput", {$preventUserInput$:$AdfBaseEvent$$.prototype.$preventUserInput$});
$AdfBaseEvent$$.prototype.$IsUserInputPrevented$ = function $$AdfBaseEvent$$$$$IsUserInputPrevented$$() {
  return 1 == this.$_userInputPrevented$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.IsUserInputPrevented", {$IsUserInputPrevented$:$AdfBaseEvent$$.prototype.$IsUserInputPrevented$});
$AdfBaseEvent$$.prototype.$IsDeleveryDiscrete$ = function $$AdfBaseEvent$$$$$IsDeleveryDiscrete$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.IsDeleveryDiscrete", {$IsDeleveryDiscrete$:$AdfBaseEvent$$.prototype.$IsDeleveryDiscrete$});
$AdfBaseEvent$$.prototype.$isDeliveryDiscrete$ = function $$AdfBaseEvent$$$$$isDeliveryDiscrete$$() {
  return this.$IsDeleveryDiscrete$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.isDeliveryDiscrete", {$isDeliveryDiscrete$:$AdfBaseEvent$$.prototype.$isDeliveryDiscrete$});
$AdfBaseEvent$$.prototype.$getMaxTimeBeforePropagation$ = function $$AdfBaseEvent$$$$$getMaxTimeBeforePropagation$$() {
  return this.$propagatesToServer$() ? 0 : -1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfBaseEvent.prototype.getMaxTimeBeforePropagation", {$getMaxTimeBeforePropagation$:$AdfBaseEvent$$.prototype.$getMaxTimeBeforePropagation$});
